Textmaker will not launch

Post your questions, bug reports and suggestions here for TextMaker 2018 for Linux.

Moderator: SoftMaker Team

Post Reply
muffin
Posts: 2
Joined: Tue May 23, 2017 7:01 pm

Textmaker will not launch

Post by muffin » Thu Oct 25, 2018 7:07 pm

Hello
I use Softmaker18 on an Arch Linux OS. When I launch Textmaker I get the following error:

error while loading shared libraries: libidn.so.11: cannot open shared object file: No such file or directory

I did a wild card search using:
ls -la /usr/lib/libidn*
lrwxrwxrwx 1 root root 16 May 19 06:17 /usr/lib/libidn2.so -> libidn2.so.0.3.4
lrwxrwxrwx 1 root root 16 May 19 06:17 /usr/lib/libidn2.so.0 -> libidn2.so.0.3.4
-rwxr-xr-x 1 root root 116408 May 19 06:18 /usr/lib/libidn2.so.0.3.4
lrwxrwxrwx 1 root root 16 Sep 10 21:48 /usr/lib/libidn.so -> libidn.so.12.6.0
lrwxrwxrwx 1 root root 16 Sep 10 21:48 /usr/lib/libidn.so.12 -> libidn.so.12.6.0
-rwxr-xr-x 1 root root 210728 Sep 10 21:48 /usr/lib/libidn.so.12.6.0

It appears that libidn.so.12 is there but not libidn.so.11.

Planmaker et al load ok.

Thanks for any help given.

kgha
Posts: 62
Joined: Sat Sep 01, 2012 6:52 pm

Re: Textmaker will not launch

Post by kgha » Mon Oct 29, 2018 2:00 pm

Always a nuisance when you've upgraded libraries and a program expects an older version.
A dirty workaround I often use, which might work in your case (no guarantees, though) is creating a symlink:
ln -s /usr/lib/libidn.so.12.6.0 /usr/lib/libidn.so.11
This ought to be addressed in a future upgrade. It's odd that Planmaker (and Presentations?) is happy with libidn12 while Textmaker isn't.

martin-k
SoftMaker Team
SoftMaker Team
Posts: 2921
Joined: Fri Nov 21, 2003 4:57 pm
Location: Nürnberg, Germany
Contact:

Re: Textmaker will not launch

Post by martin-k » Mon Oct 29, 2018 2:04 pm

Martin Kotulla
SoftMaker Software GmbH

Post Reply

Return to “TextMaker 2018 for Linux”